﻿' This class is "generated" and will be overwritten.
' Your customizations should be made in View_MaxPersonalEducationRecord.vb

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Persons.Business

''' <summary>
''' The generated superclass for the <see cref="View_MaxPersonalEducationRecord"></see> class.
''' </summary>
''' <remarks>
''' This class is not intended to be instantiated directly.  To obtain an instance of this class, 
''' use the methods of the <see cref="View_MaxPersonalEducationView"></see> class.
''' </remarks>
''' <seealso cref="View_MaxPersonalEducationView"></seealso>
''' <seealso cref="View_MaxPersonalEducationRecord"></seealso>

<Serializable()> Public Class BaseView_MaxPersonalEducationRecord
	Inherits PrimaryKeyRecord
	

	Public Shared Shadows ReadOnly TableUtils As View_MaxPersonalEducationView = View_MaxPersonalEducationView.Instance

	' Constructors
 
	Protected Sub New()
		MyBase.New(TableUtils)
	End Sub

	Protected Sub New(ByVal record As PrimaryKeyRecord)
		MyBase.New(record, TableUtils)
	End Sub
	
	'Evaluates Initialize when->Inserting record formulas specified at the data access layer
    Public Overridable Sub View_MaxPersonalEducationRecord_InsertingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.InsertingRecord
        'Apply Initialize->Inserting record formula only if validation is successful.
        	        Dim View_MaxPersonalEducationRec As View_MaxPersonalEducationRecord = CType(sender,View_MaxPersonalEducationRecord)
        Validate_Inserting()
        If Not View_MaxPersonalEducationRec Is Nothing AndAlso Not View_MaxPersonalEducationRec.IsReadOnly Then
                End If
    End Sub

	'Evaluates Initialize when->Updating record formulas specified at the data access layer
    Public Overridable Sub View_MaxPersonalEducationRecord_UpdatingRecord(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles Me.UpdatingRecord
        'Apply Initialize->Updating record formula only if validation is successful.
        	        Dim View_MaxPersonalEducationRec As View_MaxPersonalEducationRecord = CType(sender,View_MaxPersonalEducationRecord)
        Validate_Updating()
        If Not View_MaxPersonalEducationRec Is Nothing AndAlso Not View_MaxPersonalEducationRec.IsReadOnly Then
                End If
    End Sub
    
    'Evaluates Initialize when->Reading record formulas specified at the data access layer
    Public Overridable Sub View_MaxPersonalEducationRecord_ReadRecord(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ReadRecord
        'Apply Initialize->Reading record formula only if validation is successful.
        	        Dim View_MaxPersonalEducationRec As View_MaxPersonalEducationRecord = CType(sender,View_MaxPersonalEducationRecord)
        If Not View_MaxPersonalEducationRec Is Nothing AndAlso Not View_MaxPersonalEducationRec.IsReadOnly Then
                End If
    End Sub
    
   'Evaluates Validate when->Inserting formulas specified at the data access layer
   Public Overridable Sub Validate_Inserting ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
	
	'Evaluates Validate when->Updating formulas specified at the data access layer
   Public Overridable Sub Validate_Updating ()
		Dim fullValidationMessage As String = ""
		Dim validationMessage As String = ""

		dim formula as String = ""


		If validationMessage <> "" AndAlso validationMessage.ToLower() <> "true" Then
			fullValidationMessage &= validationMessage & vbCrLf
		End If

		If fullValidationMessage <> "" Then
			Throw New Exception(fullValidationMessage)
		End If 
	End Sub
 
	Public Overridable Function EvaluateFormula(ByVal formula As String, Optional ByVal dataSourceForEvaluate As BaseClasses.Data.BaseRecord = Nothing, Optional ByVal format As String = Nothing) As String

		Dim e As Data.BaseFormulaEvaluator = New Data.BaseFormulaEvaluator()

            ' All variables referred to in the formula are expected to be
            ' properties of the DataSource.  For example, referring to
            ' UnitPrice as a variable will refer to DataSource.UnitPrice
            e.DataSource = dataSourceForEvaluate

            Dim resultObj As Object = e.Evaluate(formula)
            If resultObj Is Nothing Then
                Return ""
            End If
        	Return resultObj.ToString()
	End Function







#Region "Convenience methods to get/set values of fields"

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalId field.
	''' </summary>
	Public Function GetPersonalIdFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.PersonalId field.
	''' </summary>
	Public Sub SetPersonalIdFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Function GetRankIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Function GetRankIdFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.RankIdColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Sub SetRankIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.ShortRankNormal field.
	''' </summary>
	Public Function GetShortRankNormalValue() As ColumnValue
		Return Me.GetValue(TableUtils.ShortRankNormalColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.ShortRankNormal field.
	''' </summary>
	Public Function GetShortRankNormalFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ShortRankNormalColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.ShortRankNormal field.
	''' </summary>
	Public Sub SetShortRankNormalFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ShortRankNormalColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.ShortRankNormal field.
	''' </summary>
	Public Sub SetShortRankNormalFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ShortRankNormalColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalName field.
	''' </summary>
	Public Function GetPersonalNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalName field.
	''' </summary>
	Public Function GetPersonalNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.PersonalName field.
	''' </summary>
	Public Sub SetPersonalNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.PersonalName field.
	''' </summary>
	Public Sub SetPersonalNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalLastName field.
	''' </summary>
	Public Function GetPersonalLastNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.PersonalLastNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalLastName field.
	''' </summary>
	Public Function GetPersonalLastNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.PersonalLastNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.PersonalLastName field.
	''' </summary>
	Public Sub SetPersonalLastNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.PersonalLastNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.PersonalLastName field.
	''' </summary>
	Public Sub SetPersonalLastNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.PersonalLastNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.SectionName field.
	''' </summary>
	Public Function GetSectionNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.SectionNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.SectionName field.
	''' </summary>
	Public Function GetSectionNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.SectionNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.SectionName field.
	''' </summary>
	Public Sub SetSectionNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SectionNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.SectionName field.
	''' </summary>
	Public Sub SetSectionNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Level field.
	''' </summary>
	Public Function GetLevelValue() As ColumnValue
		Return Me.GetValue(TableUtils.LevelColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Level field.
	''' </summary>
	Public Function GetLevelFieldValue() As String
		Return CType(Me.GetValue(TableUtils.LevelColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Level field.
	''' </summary>
	Public Sub SetLevelFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.LevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Level field.
	''' </summary>
	Public Sub SetLevelFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.LevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.StartDate field.
	''' </summary>
	Public Function GetStartDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.StartDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.StartDate field.
	''' </summary>
	Public Function GetStartDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.StartDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StartDate field.
	''' </summary>
	Public Sub SetStartDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.StartDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StartDate field.
	''' </summary>
	Public Sub SetStartDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.StartDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StartDate field.
	''' </summary>
	Public Sub SetStartDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StartDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EndDate field.
	''' </summary>
	Public Function GetEndDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.EndDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EndDate field.
	''' </summary>
	Public Function GetEndDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.EndDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EndDate field.
	''' </summary>
	Public Sub SetEndDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.EndDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EndDate field.
	''' </summary>
	Public Sub SetEndDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.EndDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EndDate field.
	''' </summary>
	Public Sub SetEndDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EndDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Course field.
	''' </summary>
	Public Function GetCourseValue() As ColumnValue
		Return Me.GetValue(TableUtils.CourseColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Course field.
	''' </summary>
	Public Function GetCourseFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CourseColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Course field.
	''' </summary>
	Public Sub SetCourseFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CourseColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Course field.
	''' </summary>
	Public Sub SetCourseFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CourseColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.CourseAbbr field.
	''' </summary>
	Public Function GetCourseAbbrValue() As ColumnValue
		Return Me.GetValue(TableUtils.CourseAbbrColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.CourseAbbr field.
	''' </summary>
	Public Function GetCourseAbbrFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CourseAbbrColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CourseAbbr field.
	''' </summary>
	Public Sub SetCourseAbbrFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CourseAbbrColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CourseAbbr field.
	''' </summary>
	Public Sub SetCourseAbbrFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CourseAbbrColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Institue field.
	''' </summary>
	Public Function GetInstitueValue() As ColumnValue
		Return Me.GetValue(TableUtils.InstitueColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Institue field.
	''' </summary>
	Public Function GetInstitueFieldValue() As String
		Return CType(Me.GetValue(TableUtils.InstitueColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Institue field.
	''' </summary>
	Public Sub SetInstitueFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.InstitueColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Institue field.
	''' </summary>
	Public Sub SetInstitueFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.InstitueColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Facultry field.
	''' </summary>
	Public Function GetFacultryValue() As ColumnValue
		Return Me.GetValue(TableUtils.FacultryColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Facultry field.
	''' </summary>
	Public Function GetFacultryFieldValue() As String
		Return CType(Me.GetValue(TableUtils.FacultryColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Facultry field.
	''' </summary>
	Public Sub SetFacultryFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.FacultryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Facultry field.
	''' </summary>
	Public Sub SetFacultryFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.FacultryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Function GetLevelIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.LevelIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Function GetLevelIdFieldValue() As Int16
		Return CType(Me.GetValue(TableUtils.LevelIdColumn).ToInt16(), Int16)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Sub SetLevelIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.LevelIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Sub SetLevelIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.LevelIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Sub SetLevelIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.LevelIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Sub SetLevelIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.LevelIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Sub SetLevelIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.LevelIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EdYear field.
	''' </summary>
	Public Function GetEdYearValue() As ColumnValue
		Return Me.GetValue(TableUtils.EdYearColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EdYear field.
	''' </summary>
	Public Function GetEdYearFieldValue() As String
		Return CType(Me.GetValue(TableUtils.EdYearColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EdYear field.
	''' </summary>
	Public Sub SetEdYearFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.EdYearColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EdYear field.
	''' </summary>
	Public Sub SetEdYearFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EdYearColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Function GetEducationPeriodValue() As ColumnValue
		Return Me.GetValue(TableUtils.EducationPeriodColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Function GetEducationPeriodFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.EducationPeriodColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Sub SetEducationPeriodFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.EducationPeriodColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Sub SetEducationPeriodFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.EducationPeriodColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Sub SetEducationPeriodFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EducationPeriodColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Sub SetEducationPeriodFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EducationPeriodColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Sub SetEducationPeriodFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EducationPeriodColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Function GetEducationTypeValue() As ColumnValue
		Return Me.GetValue(TableUtils.EducationTypeColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Function GetEducationTypeFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.EducationTypeColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Sub SetEducationTypeFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.EducationTypeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Sub SetEducationTypeFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.EducationTypeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Sub SetEducationTypeFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EducationTypeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Sub SetEducationTypeFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EducationTypeColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Sub SetEducationTypeFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.EducationTypeColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.CourseNo field.
	''' </summary>
	Public Function GetCourseNoValue() As ColumnValue
		Return Me.GetValue(TableUtils.CourseNoColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.CourseNo field.
	''' </summary>
	Public Function GetCourseNoFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CourseNoColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CourseNo field.
	''' </summary>
	Public Sub SetCourseNoFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CourseNoColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CourseNo field.
	''' </summary>
	Public Sub SetCourseNoFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CourseNoColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.ScoreNo field.
	''' </summary>
	Public Function GetScoreNoValue() As ColumnValue
		Return Me.GetValue(TableUtils.ScoreNoColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.ScoreNo field.
	''' </summary>
	Public Function GetScoreNoFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ScoreNoColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.ScoreNo field.
	''' </summary>
	Public Sub SetScoreNoFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ScoreNoColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.ScoreNo field.
	''' </summary>
	Public Sub SetScoreNoFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ScoreNoColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.NoAll field.
	''' </summary>
	Public Function GetNoAllValue() As ColumnValue
		Return Me.GetValue(TableUtils.NoAllColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.NoAll field.
	''' </summary>
	Public Function GetNoAllFieldValue() As String
		Return CType(Me.GetValue(TableUtils.NoAllColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.NoAll field.
	''' </summary>
	Public Sub SetNoAllFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.NoAllColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.NoAll field.
	''' </summary>
	Public Sub SetNoAllFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.NoAllColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Score field.
	''' </summary>
	Public Function GetScoreValue() As ColumnValue
		Return Me.GetValue(TableUtils.ScoreColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Score field.
	''' </summary>
	Public Function GetScoreFieldValue() As String
		Return CType(Me.GetValue(TableUtils.ScoreColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Score field.
	''' </summary>
	Public Sub SetScoreFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.ScoreColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Score field.
	''' </summary>
	Public Sub SetScoreFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.ScoreColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Command field.
	''' </summary>
	Public Function GetCommandValue() As ColumnValue
		Return Me.GetValue(TableUtils.CommandColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Command field.
	''' </summary>
	Public Function GetCommandFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CommandColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Command field.
	''' </summary>
	Public Sub SetCommandFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CommandColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Command field.
	''' </summary>
	Public Sub SetCommandFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CommandColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.CommandDate field.
	''' </summary>
	Public Function GetCommandDateValue() As ColumnValue
		Return Me.GetValue(TableUtils.CommandDateColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.CommandDate field.
	''' </summary>
	Public Function GetCommandDateFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.CommandDateColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CommandDate field.
	''' </summary>
	Public Sub SetCommandDateFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CommandDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CommandDate field.
	''' </summary>
	Public Sub SetCommandDateFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.CommandDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.CommandDate field.
	''' </summary>
	Public Sub SetCommandDateFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CommandDateColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Country field.
	''' </summary>
	Public Function GetCountryValue() As ColumnValue
		Return Me.GetValue(TableUtils.CountryColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.Country field.
	''' </summary>
	Public Function GetCountryFieldValue() As String
		Return CType(Me.GetValue(TableUtils.CountryColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Country field.
	''' </summary>
	Public Sub SetCountryFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.CountryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.Country field.
	''' </summary>
	Public Sub SetCountryFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.CountryColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.DateRank field.
	''' </summary>
	Public Function GetDateRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.DateRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.DateRank field.
	''' </summary>
	Public Function GetDateRankFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.DateRankColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.DateRank field.
	''' </summary>
	Public Sub SetDateRankFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DateRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.DatePrevRank field.
	''' </summary>
	Public Function GetDatePrevRankValue() As ColumnValue
		Return Me.GetValue(TableUtils.DatePrevRankColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.DatePrevRank field.
	''' </summary>
	Public Function GetDatePrevRankFieldValue() As DateTime
		Return CType(Me.GetValue(TableUtils.DatePrevRankColumn).ToDateTime(), DateTime)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.DatePrevRank field.
	''' </summary>
	Public Sub SetDatePrevRankFieldValue(ByVal val As DateTime)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.DatePrevRankColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Function GetStatusIdValue() As ColumnValue
		Return Me.GetValue(TableUtils.StatusIdColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Function GetStatusIdFieldValue() As Byte
		Return CType(Me.GetValue(TableUtils.StatusIdColumn).ToByte(), Byte)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StatusIdColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Sub SetStatusIdFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.StatusIdColumn)
	End Sub
	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankLevelName field.
	''' </summary>
	Public Function GetRankLevelNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankLevelNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankLevelName field.
	''' </summary>
	Public Function GetRankLevelNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.RankLevelNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevelName field.
	''' </summary>
	Public Sub SetRankLevelNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankLevelNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevelName field.
	''' </summary>
	Public Sub SetRankLevelNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.SectionAbbvrName field.
	''' </summary>
	Public Function GetSectionAbbvrNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.SectionAbbvrNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.SectionAbbvrName field.
	''' </summary>
	Public Function GetSectionAbbvrNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.SectionAbbvrNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.SectionAbbvrName field.
	''' </summary>
	Public Sub SetSectionAbbvrNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.SectionAbbvrNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.SectionAbbvrName field.
	''' </summary>
	Public Sub SetSectionAbbvrNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.SectionAbbvrNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankAndName field.
	''' </summary>
	Public Function GetRankAndNameValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankAndNameColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankAndName field.
	''' </summary>
	Public Function GetRankAndNameFieldValue() As String
		Return CType(Me.GetValue(TableUtils.RankAndNameColumn).ToString(), String)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankAndName field.
	''' </summary>
	Public Sub SetRankAndNameFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankAndNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankAndName field.
	''' </summary>
	Public Sub SetRankAndNameFieldValue(ByVal val As String)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankAndNameColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Function GetRankLevelValue() As ColumnValue
		Return Me.GetValue(TableUtils.RankLevelColumn)
	End Function

	''' <summary>
	''' This is a convenience method that provides direct access to the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Function GetRankLevelFieldValue() As Int32
		Return CType(Me.GetValue(TableUtils.RankLevelColumn).ToInt32(), Int32)
	End Function

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As ColumnValue)
		Me.SetValue(val, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As String)
		Me.SetString(val, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As Double)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As Decimal)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelColumn)
	End Sub

	''' <summary>
	''' This is a convenience method that allows direct modification of the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Sub SetRankLevelFieldValue(ByVal val As Int64)
		Dim colValue As ColumnValue = New ColumnValue(val)
		Me.SetValue(colValue, TableUtils.RankLevelColumn)
	End Sub


#End Region

#Region "Convenience methods to get field names"

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalId field.
	''' </summary>
	Public Property PersonalId() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalIdColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalIdDefault() As String
        Get
            Return TableUtils.PersonalIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.RankId field.
	''' </summary>
	Public Property RankId() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.RankIdColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RankIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankIdDefault() As String
        Get
            Return TableUtils.RankIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.ShortRankNormal field.
	''' </summary>
	Public Property ShortRankNormal() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ShortRankNormalColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ShortRankNormalColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ShortRankNormalSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ShortRankNormalColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ShortRankNormalDefault() As String
        Get
            Return TableUtils.ShortRankNormalColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalName field.
	''' </summary>
	Public Property PersonalName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalNameDefault() As String
        Get
            Return TableUtils.PersonalNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.PersonalLastName field.
	''' </summary>
	Public Property PersonalLastName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.PersonalLastNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.PersonalLastNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property PersonalLastNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.PersonalLastNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property PersonalLastNameDefault() As String
        Get
            Return TableUtils.PersonalLastNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.SectionName field.
	''' </summary>
	Public Property SectionName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.SectionNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.SectionNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SectionNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SectionNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SectionNameDefault() As String
        Get
            Return TableUtils.SectionNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Level field.
	''' </summary>
	Public Property Level() As String
		Get 
			Return CType(Me.GetValue(TableUtils.LevelColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.LevelColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property LevelSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.LevelColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property LevelDefault() As String
        Get
            Return TableUtils.LevelColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.StartDate field.
	''' </summary>
	Public Property StartDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.StartDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.StartDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property StartDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.StartDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property StartDateDefault() As String
        Get
            Return TableUtils.StartDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.EndDate field.
	''' </summary>
	Public Property EndDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.EndDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.EndDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property EndDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.EndDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property EndDateDefault() As String
        Get
            Return TableUtils.EndDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Course field.
	''' </summary>
	Public Property Course() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CourseColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CourseColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CourseSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CourseColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CourseDefault() As String
        Get
            Return TableUtils.CourseColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.CourseAbbr field.
	''' </summary>
	Public Property CourseAbbr() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CourseAbbrColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CourseAbbrColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CourseAbbrSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CourseAbbrColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CourseAbbrDefault() As String
        Get
            Return TableUtils.CourseAbbrColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Institue field.
	''' </summary>
	Public Property Institue() As String
		Get 
			Return CType(Me.GetValue(TableUtils.InstitueColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.InstitueColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property InstitueSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.InstitueColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property InstitueDefault() As String
        Get
            Return TableUtils.InstitueColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Facultry field.
	''' </summary>
	Public Property Facultry() As String
		Get 
			Return CType(Me.GetValue(TableUtils.FacultryColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.FacultryColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property FacultrySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.FacultryColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property FacultryDefault() As String
        Get
            Return TableUtils.FacultryColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.LevelId field.
	''' </summary>
	Public Property LevelId() As Int16
		Get 
			Return CType(Me.GetValue(TableUtils.LevelIdColumn).ToInt16(), Int16)
		End Get
		Set (ByVal val As Int16) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.LevelIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property LevelIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.LevelIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property LevelIdDefault() As String
        Get
            Return TableUtils.LevelIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.EdYear field.
	''' </summary>
	Public Property EdYear() As String
		Get 
			Return CType(Me.GetValue(TableUtils.EdYearColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.EdYearColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property EdYearSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.EdYearColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property EdYearDefault() As String
        Get
            Return TableUtils.EdYearColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.EducationPeriod field.
	''' </summary>
	Public Property EducationPeriod() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.EducationPeriodColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.EducationPeriodColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property EducationPeriodSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.EducationPeriodColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property EducationPeriodDefault() As String
        Get
            Return TableUtils.EducationPeriodColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.EducationType field.
	''' </summary>
	Public Property EducationType() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.EducationTypeColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.EducationTypeColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property EducationTypeSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.EducationTypeColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property EducationTypeDefault() As String
        Get
            Return TableUtils.EducationTypeColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.CourseNo field.
	''' </summary>
	Public Property CourseNo() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CourseNoColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CourseNoColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CourseNoSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CourseNoColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CourseNoDefault() As String
        Get
            Return TableUtils.CourseNoColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.ScoreNo field.
	''' </summary>
	Public Property ScoreNo() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ScoreNoColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ScoreNoColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ScoreNoSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ScoreNoColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ScoreNoDefault() As String
        Get
            Return TableUtils.ScoreNoColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.NoAll field.
	''' </summary>
	Public Property NoAll() As String
		Get 
			Return CType(Me.GetValue(TableUtils.NoAllColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.NoAllColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property NoAllSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.NoAllColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property NoAllDefault() As String
        Get
            Return TableUtils.NoAllColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Score field.
	''' </summary>
	Public Property Score() As String
		Get 
			Return CType(Me.GetValue(TableUtils.ScoreColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.ScoreColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property ScoreSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.ScoreColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property ScoreDefault() As String
        Get
            Return TableUtils.ScoreColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Command field.
	''' </summary>
	Public Property Command() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CommandColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CommandColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CommandSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CommandColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CommandDefault() As String
        Get
            Return TableUtils.CommandColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.CommandDate field.
	''' </summary>
	Public Property CommandDate() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.CommandDateColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.CommandDateColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CommandDateSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CommandDateColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CommandDateDefault() As String
        Get
            Return TableUtils.CommandDateColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.Country field.
	''' </summary>
	Public Property Country() As String
		Get 
			Return CType(Me.GetValue(TableUtils.CountryColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.CountryColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property CountrySpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.CountryColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property CountryDefault() As String
        Get
            Return TableUtils.CountryColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.DateRank field.
	''' </summary>
	Public Property DateRank() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.DateRankColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DateRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DateRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DateRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DateRankDefault() As String
        Get
            Return TableUtils.DateRankColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.DatePrevRank field.
	''' </summary>
	Public Property DatePrevRank() As DateTime
		Get 
			Return CType(Me.GetValue(TableUtils.DatePrevRankColumn).ToDateTime(), DateTime)
		End Get
		Set (ByVal val As DateTime) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.DatePrevRankColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property DatePrevRankSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.DatePrevRankColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property DatePrevRankDefault() As String
        Get
            Return TableUtils.DatePrevRankColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.StatusId field.
	''' </summary>
	Public Property StatusId() As Byte
		Get 
			Return CType(Me.GetValue(TableUtils.StatusIdColumn).ToByte(), Byte)
		End Get
		Set (ByVal val As Byte) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.StatusIdColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property StatusIdSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.StatusIdColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property StatusIdDefault() As String
        Get
            Return TableUtils.StatusIdColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.RankLevelName field.
	''' </summary>
	Public Property RankLevelName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RankLevelNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RankLevelNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankLevelNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankLevelNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankLevelNameDefault() As String
        Get
            Return TableUtils.RankLevelNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.SectionAbbvrName field.
	''' </summary>
	Public Property SectionAbbvrName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.SectionAbbvrNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.SectionAbbvrNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property SectionAbbvrNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.SectionAbbvrNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property SectionAbbvrNameDefault() As String
        Get
            Return TableUtils.SectionAbbvrNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.RankAndName field.
	''' </summary>
	Public Property RankAndName() As String
		Get 
			Return CType(Me.GetValue(TableUtils.RankAndNameColumn).ToString(), String)
		End Get
		Set (ByVal Value As String) 
			Me.SetString(value, TableUtils.RankAndNameColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankAndNameSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankAndNameColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankAndNameDefault() As String
        Get
            Return TableUtils.RankAndNameColumn.DefaultValue
        End Get
    End Property

	''' <summary>
	''' This is a convenience property that provides direct access to the value of the record's View_MaxPersonalEducation_.RankLevel field.
	''' </summary>
	Public Property RankLevel() As Int32
		Get 
			Return CType(Me.GetValue(TableUtils.RankLevelColumn).ToInt32(), Int32)
		End Get
		Set (ByVal val As Int32) 
			Dim colValue As ColumnValue = New ColumnValue(val)
			Me.SetValue(colValue, TableUtils.RankLevelColumn)
		End Set
	End Property


	''' <summary>
	''' This is a convenience method that can be used to determine that the column is set.
	''' </summary>
	Public ReadOnly Property RankLevelSpecified() As Boolean
        Get
            Dim val As ColumnValue = Me.GetValue(TableUtils.RankLevelColumn)
            If val Is Nothing OrElse val.IsNull Then
                Return False
            End If
            Return True
        End Get
    End Property

	''' <summary>
	''' This is a convenience method that can be used to get the default value of a column.
	''' </summary>
    Public ReadOnly Property RankLevelDefault() As String
        Get
            Return TableUtils.RankLevelColumn.DefaultValue
        End Get
    End Property



#End Region

End Class
End Namespace
