﻿' This is a "safe" class, meaning that it is created once 
' and never overwritten. Any custom code you add to this class 
' will be preserved when you regenerate your application.
'
' Typical customizations that may be done in this class include
'  - adding custom event handlers
'  - overriding base class methods

Imports System.Data.SqlTypes
Imports BaseClasses
Imports BaseClasses.Data
Imports BaseClasses.Data.SqlProvider

Namespace Persons.Business

''' <summary>
''' Provides access to the data in a record associated with a custom query.
''' Also provides access to the <see cref="ShowPersonalIdTableQuery"></see> that each record is associated with.
''' </summary>
''' <para>
''' This is a "safe" class, meaning that it is generated once and never overwritten. 
''' Any changes you make to this class will be preserved when you regenerate your application.
''' </para>
''' <seealso cref="ShowPersonalIdTableQuery"></seealso>

<Serializable()> Public Class ShowPersonalIdTableRecord
	Inherits BaseShowPersonalIdTableRecord

	Public Sub New()
		MyBase.New()
	End Sub

End Class
End Namespace
